---
- name: Install nginx
  hosts: all
  tasks:
    - apt:
        name: nginx
        state: latest
        update_cache: yes
      when: ansible_distribution == "Ubuntu"

    - yum:
        pkg:
          - epel-release
          - nginx
        state: latest
        update_cache: yes
      when: ansible_distribution == "CentOS"      

